For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Message object
          • GET/messages
          • GET/messages/{id}
          • GET/messages/{message_id}/replies
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsMessages

/messages/{message_id}/replies

GET
/messages/:message_id/replies
GET
/api/chat/v1/messages/:message_id/replies
$curl -G https://api.merge.dev/api/chat/v1/messages/message_id/replies \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "m1f2d8a4-9f7a-4e2b-8e2f-123456789abc",
7 "remote_id": "mem-001",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "user_id": "a1234567-89ab-cdef-0123-456789abcdef",
11 "conversation_id": "a1234567-89ab-cdef-0123-456789abcdef",
12 "body": "Hello World",
13 "subject_line": "Hello World",
14 "root_message_id": "a1234567-89ab-cdef-0123-456789abcdef",
15 "url": "https://example.com/messages/mem-001",
16 "remote_created_at": "2021-09-15T00:00:00Z",
17 "remote_updated_at": "2021-09-16T00:00:00Z",
18 "remote_was_deleted": true
19 }
20 ]
21}

Returns a list of Message objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/messages/{id}

Next

The Member object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

message_idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

cursorstringOptional
The pagination cursor value.
include_deleted_databooleanOptional

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

order_byenumOptional

Overrides the default ordering for this endpoint. Possible values include: remote_created_at, -remote_created_at.

Allowed values:
page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.

Response

nextstring or null
previousstring or null
resultslist of objects